Extending Qt Creator Manual | StatusBarWidget

Extending Qt Creator Manual 4.5.2

# StatusBarWidget Class

(Core::StatusBarWidget)

Inherits: | Core::IContext

- List of all members, including inherited members

## Public Types

enum | StatusBarPosition { First, Second, Third, LastLeftAligned, RightCorner }

## Public Functions

| StatusBarWidget(QObject *parent = 0)
| ~StatusBarWidget()
StatusBarWidget::StatusBarPosition | position() const
void | setPosition(StatusBarWidget::StatusBarPosition position)

- 6 public functions inherited from Core::IContext

## Member Type Documentation

### enum StatusBarWidget::StatusBarPosition

## Member Function Documentation

### StatusBarWidget::StatusBarWidget(QObject *parent = 0)

Default constructs an instance of StatusBarWidget.

### StatusBarWidget::~StatusBarWidget()

Destroys the instance of StatusBarWidget.

### StatusBarWidget::StatusBarPosition StatusBarWidget::position() const

See also setPosition().

### void StatusBarWidget::setPosition(StatusBarWidget::StatusBarPosition position)

See also position().